<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function unaryMinus

Inverse the sign of a value, apply a unary minus operation.

For matrices, the function is evaluated element wise. Boolean values and
strings will be converted to a number. For complex numbers, both real and
complex value are inverted.


## Syntax

```js
math.unaryMinus(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Number to be inverted.

### Returns

Type | Description
---- | -----------
number &#124; BigNumber &#124; Fraction &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Returns the value with inverted sign.


## Examples

```js
math.unaryMinus(3.5);      // returns -3.5
math.unaryMinus(-4.2);     // returns 4.2
```


## See also

[add](add.md),
[subtract](subtract.md),
[unaryPlus](unaryPlus.md)
